%define name gxmessage
%define version 2.0.3
%define release 2mdk
Summary:	An xmessage substitute for gtk-2.0
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://homepages.ihug.co.nz/~trmusson
Group:		Development/GNOME and GTK+
Source:		%{URL}/stuff/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk+2.0
Requires:	gtk+2.0

%description

To quote from the  xmessage  manual  page,  xmessage  is  a  program  to
"display a message or query in a window." It returns an exit code  based
on the user's response. gxmessage is a gtk-2.0 based clone of xmessage.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
perl -pi -e 's#Happy\?#Happy\\?#g' src/gxmessage.c

%build
%configure --bindir=/usr/X11R6/bin
%make 


%install
%makeinstall bindir=$RPM_BUILD_ROOT/usr/X11R6/bin


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog README TODO
/usr/X11R6/bin/gxmessage

%changelog
* Fri Dec 27 2002 Han Boetes <han@linux-mandrake.com> 2.0.3-2mdk
- rebuild because of new rpm macros and new glibc

* Tue Aug  6 2002 Han Boetes <han@linux-mandrake.com> 2.0.3-1mdk
- First spec for mandrake.
